Inhoud

# Functie UBound

Geeft de bovengrens van een matrix terug.

### Syntaxis:

    UBound (Matrixnaam [, Dimensie])

### Retourtype:

Long

### Parameters:

Matrixnaam:Naam van de matrix waarvoor de boven- (Ubound) of ondergrens (LBound) moet worden bepaald.

[Dimensie]: Integer die specificeert welke dimensie wordt teruggegeven voor de boven- (Ubound) of ondergrens (LBound). Als er geen waarde is gespecificeerd, wordt de grenswaarde van de eerste dimensie teruggegeven.

### Foutcodes:

5 Ongeldige aanroep van procedure

9 Index buiten gedefinieerd bereik

### Voorbeeld:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' 10
        Print UBound(v) ' 20
    End Sub

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' 10  20
        Print LBound(t(),2) ' -5
        Print UBound(t,2) ' 70
    End Sub